Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
17.07.2019, 17:06:19

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
Statistiken
  • Beiträge insgesamt: 598976
  • Themen insgesamt: 48511
  • Heute online: 625
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online

Autor Thema:  Steam startet nicht  (Gelesen 669 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Re: Steam startet nicht
« Antwort #15 am: 16.06.2019, 21:57:57 »
Das System auch auf den neusten Stand gebracht?
Die Lösungsansätze aus dem Bugreport probiert?

Bei mir läuft Steam mit dem Standard Nvidia Treiber 390.
Keine Ahnung was bei deinem System vermurkst ist.

Re: Steam startet nicht
« Antwort #16 am: 17.06.2019, 00:20:49 »

Bei mir läuft Steam mit dem Standard Nvidia Treiber 390.


390? Für Proton braucht es zum sauber laufen ja schon 418 als minimum.
 -> https://github.com/ValveSoftware/Proton/wiki/Requirements

Das System auch auf den neusten Stand gebracht?

Abgesehen davon dass es 18.3 statt 19.x ist, ja. natürlich.

Die Lösungsansätze aus dem Bugreport probiert?

Ja. Nicht nur den. Ehe ich das Thema hier aufmachte habe ich nach verschiedenen Lösungen gesucht und probiert es zu beheben.


Keine Ahnung was bei deinem System vermurkst ist.

Ja wenn ich das wüsste bräuchte ich hier nicht schreiben :D

Re: Steam startet nicht
« Antwort #17 am: 17.06.2019, 05:19:34 »
Das nvidia ppa hast Du aktiviert?
https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa

Weitere Informationen:
https://github.com/ValveSoftware/steam-for-linux/issues/5778
sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt update
sudo apt upgrade
//may should reboot?
sudo apt --fix-broken install
//may should reboot?
sudo apt install libnvidia-gl-418:i386

« Letzte Änderung: 17.06.2019, 05:26:51 von Moridian »

Re: Steam startet nicht
« Antwort #18 am: 19.06.2019, 17:00:02 »
$ sudo add-apt-repository ppa:graphics-drivers/ppa
[sudo] Passwort für avoca:
Sie sind dabei das folgende PPA hinzuzufügen:
 Fresh drivers from upstream, currently shipping Nvidia.

## Current Status

Current long-lived branch release: `nvidia-410` (410.66)
Dropped support for Fermi series (https://nvidia.custhelp.com/app/answers/detail/a_id/4656)

Old long-lived branch release: `nvidia-390` (390.87)

For GF1xx GPUs use `nvidia-390` (390.87)
For G8x, G9x and GT2xx GPUs use `nvidia-340` (340.107)
For NV4x and G7x GPUs use `nvidia-304` (304.137) End-Of-Life!

Support timeframes for Unix legacy GPU releases:
https://nvidia.custhelp.com/app/answers/detail/a_id/3142

## What we're working on right now:

- Normal driver updates
- Help Wanted: Mesa Updates for Intel/AMD users, ping us if you want to help do this work, we're shorthanded.

## WARNINGS:

This PPA is currently in testing, you should be experienced with packaging before you dive in here:

Volunteers welcome!

### How you can help:

## Install PTS and benchmark your gear:

    sudo apt-get install phoronix-test-suite

Run the benchmark:

    phoronix-test-suite default-benchmark openarena xonotic tesseract gputest unigine-valley

and then say yes when it asks you to submit your results to openbechmarking.org. Then grab a cup of coffee, it takes a bit for the benchmarks to run. Depending on the version of Ubuntu you're using it might preferable for you to grabs PTS from upstream directly: http://www.phoronix-test-suite.com/?k=downloads

## Share your results with the community:

Post a link to your results (or any other feedback to): https://launchpad.net/~graphics-drivers-testers

Remember to rerun and resubmit the benchmarks after driver upgrades, this will allow us to gather a bunch of data on performance that we can share with everybody.

If you run into old documentation referring to other PPAs, you can help us by consolidating references to this PPA.

If someone wants to go ahead and start prototyping on `software-properties-gtk` on what the GUI should look like, please start hacking!

## Help us Help You!

We use the donation funds to get the developers hardware to test and upload these drivers, please consider donating to the "community" slider on the donation page if you're loving this PPA:

http://www.ubuntu.com/download/desktop/contribute
 Mehr Informationen: https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa
Zum Fortfahren bitte Eingabetaste drücken oder Strg+C zum Abbrechen

Executing: /tmp/tmp.El3kHoEgbI/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--recv-keys
1118213C
gpg: Schlüssel 1118213C von hkp-Server keyserver.ubuntu.com anfordern
gpg: Schlüssel 1118213C: "Launchpad PPA for Graphics Drivers Team" nicht geändert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg:              unverändert: 1

$ apt update
Ign:1 http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com sylvia InRelease
OK:2 http://ftp-stud.hs-esslingen.de/ubuntu xenial InRelease                   
OK:3 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease     
Holen:4 http://ftp-stud.hs-esslingen.de/ubuntu xenial-updates InRelease [109 kB]
Holen:5 http://ftp-stud.hs-esslingen.de/ubuntu xenial-backports InRelease [107 kB]
OK:6 http://security.ubuntu.com/ubuntu xenial-security InRelease         
OK:7 http://archive.canonical.com/ubuntu xenial InRelease                 
OK:8 https://repo.skype.com/deb stable InRelease                         
OK:9 http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com sylvia Release
Holen:10 http://ftp-stud.hs-esslingen.de/ubuntu xenial-updates/main amd64 Packages [976 kB]
Holen:11 http://ftp-stud.hs-esslingen.de/ubuntu xenial-updates/main i386 Packages [834 kB]
Holen:12 http://ftp-stud.hs-esslingen.de/ubuntu xenial-updates/universe amd64 Packages [751 kB]
Holen:13 http://ftp-stud.hs-esslingen.de/ubuntu xenial-updates/universe i386 Packages [686 kB]
Es wurden 3.463 kB in 2 s geholt (1.289 kB/s).                                 
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Aktualisierung für 4 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, um sie anzuzeigen.

$ apt list --upgradable
Auflistung... Fertig
linux-libc-dev/xenial-updates,xenial-security 4.4.0-151.178 amd64 [aktualisierbar von: 4.4.0-150.176]
python-apt/xenial-updates 1.1.0~beta1ubuntu0.16.04.5 amd64 [aktualisierbar von: 1.1.0~beta1ubuntu0.16.04.4]
python-apt-common/xenial-updates,xenial-updates 1.1.0~beta1ubuntu0.16.04.5 all [aktualisierbar von: 1.1.0~beta1ubuntu0.16.04.4]
python3-apt/xenial-updates 1.1.0~beta1ubuntu0.16.04.5 amd64 [aktualisierbar von: 1.1.0~beta1ubuntu0.16.04.4]

$ apt update
[sudo] Passwort für avoca:
Ign:1 http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com sylvia InRelease
OK:2 http://ftp-stud.hs-esslingen.de/ubuntu xenial InRelease                   
OK:3 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease     
OK:4 http://ftp-stud.hs-esslingen.de/ubuntu xenial-updates InRelease           
OK:5 http://ftp-stud.hs-esslingen.de/ubuntu xenial-backports InRelease         
OK:6 http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com sylvia Release
OK:7 http://archive.canonical.com/ubuntu xenial InRelease                     
Holen:8 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
OK:9 https://repo.skype.com/deb stable InRelease             
Es wurden 109 kB in 0 s geholt (119 kB/s).                   
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Alle Pakete sind aktuell.

Nach Reboot, "sudo apt --fix-broken install" kennt er nicht:

$ sudo apt --fix-broken install
[sudo] Passwort für avoca:
apt
Usage: apt command [options]
       apt help command [options]

Commands:
  add-repository   - Add entries to apt sources.list
  autoclean        - Erase old downloaded archive files
  autoremove       - Remove automatically all unused packages
  build            - Build binary or source packages from sources
  build-dep        - Configure build-dependencies for source packages
  changelog        - View a package's changelog
  check            - Verify that there are no broken dependencies
  clean            - Erase downloaded archive files
  contains         - List packages containing a file
  content          - List files contained in a package
  deb              - Install a .deb package
  depends          - Show raw dependency information for a package
  dist-upgrade     - Upgrade the system by removing/installing/upgrading packages
  download         - Download the .deb file for a package
  edit-sources     - Edit /etc/apt/sources.list with your preferred text editor
  dselect-upgrade  - Follow dselect selections
  full-upgrade     - Same as 'dist-upgrade'
  held             - List all held packages
  help             - Show help for a command
  hold             - Hold a package
  install          - Install/upgrade packages
  list             - List packages based on package names
  policy           - Show policy settings
  purge            - Remove packages and their configuration files
  recommends       - List missing recommended packages for a particular package
  rdepends         - Show reverse dependency information for a package
  reinstall        - Download and (possibly) reinstall a currently installed package
  remove           - Remove packages
  search           - Search for a package by name and/or expression
  show             - Display detailed information about a package
  showhold         - Same as 'held'
  source           - Download source archives
  sources          - Same as 'edit-sources'
  unhold           - Unhold a package
  update           - Download lists of new/upgradable packages
  upgrade          - Perform a safe upgrade
  version          - Show the installed version of a package


Alles beim alten..


$ sudo apt install libnvidia-gl-418:i386
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Paket libnvidia-gl-418:i386 kann nicht gefunden werden.
« Letzte Änderung: 19.06.2019, 17:07:13 von Avoca »

Re: Steam startet nicht
« Antwort #19 am: 19.06.2019, 22:58:22 »
Mir fällt nur noch das eine Paket ein, was man bei manchen 32 Bit Programmen braucht, das ia32.lib oder wie auch immer das hieß. Ob das was bringt weiß ich aber nicht.
Und den Link zum UU Wiki, wirst du schon kennen   https://wiki.ubuntuusers.de/Steam/
« Letzte Änderung: 19.06.2019, 23:10:15 von Mintnix »

Re: Steam startet nicht
« Antwort #20 am: 19.06.2019, 23:20:48 »
Usage: apt command [options]
Also apt install --fix-broken oder apt install -f

Re: Steam startet nicht
« Antwort #21 am: 20.06.2019, 00:34:24 »
$ apt install -f
[sudo] Passwort für avoca:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

sudo apt-get install libgl1-mesa-dri-[LTS-Suffix]:i386 libgl1-mesa-glx-[LTS-Suffix]:i386 libtxc-dxtn-s2tc0:i386 war auch alles schon drauf